/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.activity;

import android.arch.lifecycle.ViewModelProviders;
import android.os.Bundle;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.manager.ActionBarManager;
import kr.co.zumo.app.lifeplus.model.SignUpModel;
import kr.co.zumo.app.lifeplus.view.ISignUpView;
import kr.co.zumo.app.lifeplus.view.presenter.SignUpPresenter;

/**
 * SignUpZumoUserActivity
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 23.]   [최초 작성]
 * @since 2018. 9. 23.
 */
public class SignUpZumoUserActivity extends ActivityBase<SignUpPresenter> implements ISignUpView {

  @Override
  void onAfterCreate(Bundle savedInstanceState) {

    setContentView(R.layout.activity_sign_up);

  }

  @Override
  protected void onDestroy() {
    super.onDestroy();
  }

  @Override
  void defineActionBar() {
    ActionBarManager actionBarManager = ActionBarManager.getInstance();
    // fixme 타이틀 지정 필요
    actionBarManager.setTitle(R.string.empty_string);
    actionBarManager.setDisplayHomeAsUpEnabled(true);
  }

  @Override
  SignUpPresenter definePresenter() {
    return new SignUpPresenter(getModel(SignUpModel.class), this);
  }

}

